## org.biojava.bio.structure.align.pairwise
Class StrCompAlignment

    java.lang.Object
      org.biojava.bio.structure.align.pairwise.StrCompAlignment

All Implemented Interfaces:
  Alignable

    public class StrCompAlignment

extends Object
implements Alignable

Constructor Summary
`StrCompAlignment(int rows, int cols)`

Method Summary
`AligMatEl[][]` `getAligMat()`
`AligMatEl` `getAligMat(int i, int j)`
`int` `getCols()`
`float` `getGapExtCol()`
`float` `getGapExtRow()`
`float` `getGapOpenCol()`
`float` `getGapOpenRow()`
`IndexPair[]` `getPath()`
`int` `getPathSize()`
`int` `getRows()`
`float` `getScore()`
`void` `setAligMat(AligMatEl[][] al)`
`void` `setAligMat(int i, int j, AligMatEl el)`
`void` `setGapExtCol(float gapExtCol)`
`void` `setGapExtRow(float gapExtRow)`
`void` `setGapOpenCol(float gapOpenCol)`
`void` `setGapOpenRow(float gapOpenRow)`
`void` `setPath(IndexPair[] path)`
`void` `setPathSize(int pathSize)`
`void` `setScore(float score)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrCompAlignment

    public StrCompAlignment(int rows,
                            int cols)

Method Detail

### getRows

    public int getRows()

  Specified by:
    `getRows` in interface `Alignable`

### getCols

    public int getCols()

  Specified by:
    `getCols` in interface `Alignable`

### setAligMat

    public void setAligMat(int i,
                           int j,
                           AligMatEl el)

### getAligMat

    public AligMatEl getAligMat(int i,
                                int j)

### getAligMat

    public AligMatEl[][] getAligMat()

  Specified by:
    `getAligMat` in interface `Alignable`

### setAligMat

    public void setAligMat(AligMatEl[][] al)

  Specified by:
    `setAligMat` in interface `Alignable`

### getGapExtCol

    public float getGapExtCol()

  Specified by:
    `getGapExtCol` in interface `Alignable`

### setGapExtCol

    public void setGapExtCol(float gapExtCol)

  Specified by:
    `setGapExtCol` in interface `Alignable`

### getGapExtRow

    public float getGapExtRow()

  Specified by:
    `getGapExtRow` in interface `Alignable`

### setGapExtRow

    public void setGapExtRow(float gapExtRow)

  Specified by:
    `setGapExtRow` in interface `Alignable`

### getGapOpenCol

    public float getGapOpenCol()

  Specified by:
    `getGapOpenCol` in interface `Alignable`

### setGapOpenCol

    public void setGapOpenCol(float gapOpenCol)

  Specified by:
    `setGapOpenCol` in interface `Alignable`

### getGapOpenRow

    public float getGapOpenRow()

  Specified by:
    `getGapOpenRow` in interface `Alignable`

### setGapOpenRow

    public void setGapOpenRow(float gapOpenRow)

  Specified by:
    `setGapOpenRow` in interface `Alignable`

### getScore

    public float getScore()

  Specified by:
    `getScore` in interface `Alignable`

### setScore

    public void setScore(float score)

  Specified by:
    `setScore` in interface `Alignable`

### getPath

    public IndexPair[] getPath()

  Specified by:
    `getPath` in interface `Alignable`

### setPath

    public void setPath(IndexPair[] path)

  Specified by:
    `setPath` in interface `Alignable`

### getPathSize

    public int getPathSize()

  Specified by:
    `getPathSize` in interface `Alignable`

### setPathSize

    public void setPathSize(int pathSize)

  Specified by:
    `setPathSize` in interface `Alignable`